Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85875 - Sendmail RPM upgrade overwrites /etc/mail/Makefile without backup
Summary: Sendmail RPM upgrade overwrites /etc/mail/Makefile without backup
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-10 03:19 UTC by Anthony Thyssen
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 10:35:12 UTC


Attachments (Terms of Use)

Description Anthony Thyssen 2003-03-10 03:19:58 UTC
Description of problem:

As per the recent spate of Cert Advisories I upgraded the sendmail on out
systems using the Redhat Sendmail RPM.

In the process, sendmail just over wrote the /etc/mail/Makefile without
checking for local modifications.  We heavily modifide this file to allow
us to install aliases, access and genertable items from a multiple-machine
database.  After patching it too a few days before the over-write was
and had to require a restoration from backups to recover our Makefile.


Version-Release number of selected component (if applicable):

For Rh7.2:  
  sendmail-8.11.6-23.72  A widely used Mail Transport Agent (MTA).
  sendmail-cf-8.11.6-23.72 The files needed to reconfigure Sendmail.

Presumabily for all sendmail RPM's

How reproducible:

Very

Steps to Reproduce:
1.  Modify /etc/mail/Makefile
2.  Force a freasen of the sendmail rpm installation
3.  Makfile modification is gone!
    
Actual results:

No warning, file is just over written


Expected results:

The file /etc/mail/Mailfile should not have been over writen, instead the
installed version should have been placed in a  ".rpmnew" and a warning issued
just as RPM's do for other files (like  sendmail.mc  and sendmail.cf)


Additional info:

Comment 1 Florian La Roche 2003-03-26 10:35:12 UTC
The sendmail src.rpm has this correctly marked as %config file,
so this should be ok.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.